#include <iostream>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

int main() {
	ios::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);

	int n; cin >> n;

	vector<int> a(n);
	vector<int> b(n);

	for (int i = 0; i < n; i++) {
		a[i] = 2 * i + 1;
		b[i] = 2 * i + 2;
	}

	for (int num : a) {
		cout << num << " ";
	}
	cout << endl;
	for (int num : b) {
		cout << num << " ";
	}
	cout << endl;

	return 0;
}